/*
 * File: IsPrime1.h
 * ----------------
 *
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 */

#ifndef ISPRIME1_H
#define ISPRIME1_H

#include "genlib.h"

/*
 * Function: IsPrime1
 * Usage: if ( IsPrime1(n) )
 * -------------------------
 * The function IsPrime1 is a simple function that computes whether
 * the given number of prime or not.
 *
 * IsPrime1 works as follows: given an integer n, for each integer k
 * from 2 to ceil(n/2) determine compute the remainder of the division
 * of n with k. If a zero remainder is found return that the number is
 * prime, otherwise return that the number is not prime.
 */

bool IsPrime1(int n);

#endif /* ISPRIME1_H */
