/*
 * File: IsPrime2.c
 *
 * This file contains the implementation of the function IsPrime2.
 * 
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 */

#include "IsPrime2.h"



/*
 * Function: IsPrime2
 * Usage: if ( IsPrime2(n) )
 * -------------------------
 */

bool IsPrime2(int n)
{
  int k, kmax;

  if ( n == 2 ) { return TRUE; }
  if ( n % 2 == 0 ) { return FALSE; }

  /* compute ceil(n/2) and assign it to kmax */
  kmax = n / 2;
  if ( n % 2 == 1 ) {
    kmax++;
  }

  for (k = 3; k <= kmax; k += 2) {
    if ( n % k == 0 ) { return FALSE; }
  }

  return TRUE;
}
