/*
 * File: IsPrime3.h
 * ----------------
 *
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 */

#ifndef ISPRIME3_H
#define ISPRIME3_H

#include "genlib.h"

/*
 * Function: IsPrime3
 * Usage: if ( IsPrime3(n) )
 * -------------------------
 * The function IsPrime3 returns TRUE if n is prime, FALSE otherwise.
 *
 * IsPrime2 works as follows: given an integer n, we first check
 * whether n is 2 or another enven number. If this is the case the
 * appropriate result is returned. Then for each odd integer k from 3 to
 * ceil(sqrt(n)) compute the remainder of the division of n with
 * k. If a zero remainder is found return that the number is prime,
 * otherwise return that the number is not prime.
 */

bool IsPrime3(int n);

#endif /* ISPRIME3_H */
