/*
 * File: is_prime.c
 *
 * This program takes an integer greater or equal to 2 and determines
 * if it is prime or not. This is done by calling any of the three
 * functions IsPrime1, IsPrime2 or IsPrime3.
 *
 * There are three algorithms employed. See corresponding function
 * comments for details.
 * 
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 */

#include  <stdio.h>
#include "genlib.h"
#include "simpio.h"

#include "IsPrime0.h"
#include "IsPrime1.h"
#include "IsPrime2.h"
#include "IsPrime3.h"


/* Main program */
main()
{
  int n;

  printf(" n? ");
  n = GetInteger();
  while ( n <= 1 ) {
    printf(" Enter a valid integer n? ");
    n = GetInteger();
  }

  if ( IsPrime0(n) ) {
    printf("%d is prime\n", n);
  } else {
    printf("%d is not prime\n", n);
  }
  if ( IsPrime1(n) ) {
    printf("%d is prime\n", n);
  } else {
    printf("%d is not prime\n", n);
  }
  if ( IsPrime2(n) ) {
    printf("%d is prime\n", n);
  } else {
    printf("%d is not prime\n", n);
  }
  if ( IsPrime3(n) ) {
    printf("%d is prime\n", n);
  } else {
    printf("%d is not prime\n", n);
  }
}

