/*
 * File: IsPrime0.h
 * ----------------
 *
 * Author: M. I. Karavelas
 * Class:  EM101 / Fall Semester 2008
 */

#ifndef ISPRIME0_H
#define ISPRIME0_H

#include "genlib.h"

/*
 * Function: IsPrime0
 * Usage: if ( IsPrime0(n) )
 * -------------------------
 * The function IsPrime0 is a really simple function that computes
 * whether the given number of prime or not.
 *
 * IsPrime0 computes the number of divisors of n, by considering all
 * integers from 1 to n. If the number of divisors found is 2 then n
 * is prime (and the function returns TRUE), otherwise there is at
 * least one more divisor for n except for 1 and n itself, in which
 * case n is not prime (and the function returns FALSE).
 */

bool IsPrime0(int n);

#endif /* ISPRIME0_H */
